Bug 1729 - Network card Realtek (RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 02)) does not work
: Network card Realtek (RTL8111/8168B PCI Express Gigabit Ethernet controller (...
Status: RESOLVED INVALID
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-27 09:37 MSK by FirstLevel
Modified: 2014-10-08 17:17 MSD (History)
4 users (show)

See Also:
RPM Package: kernel-nrj-desktop-3.6.10-1rosa-1-1-rosa2012.1.x86_64
ISO-related:
Bad POT generating:
Upstream:


Attachments
diagnostic information (9.77 KB, text/plain)
2013-02-27 09:37 MSK, FirstLevel
Details
8168 (7.63 KB, text/plain)
2013-03-14 10:06 MSK, FirstLevel
Details

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2013-02-27 09:37:22 MSK
Created attachment 1232 [details]
diagnostic information

Description of problem:
I have installed ROSA 2012.1 Fresh (in double boot with Windows XP). My network card does not work in this system (but in XP works well).
After log in to Rosa I see red circle with minus on the icon of NetworkManager and message "Network cable is unplugged".
I have attached diagnostic information 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
Comment 1 Eugene Shatokhin 2013-02-27 11:57:16 MSK
The problem may be related to the fact that 'r8169' driver does not always works well with RTL8111/8168B cards.

Discussion of possibly similar issues:
http://ubuntuforums.org/showthread.php?t=1992200

To check if this is actually the cause of the problem, could you install the driver that Realtek provides instead of the one included in the kernel. 

The steps are as follows:

1. Download the driver from here:
http://www.realtek.com/downloads/downloadsView.aspx?Langid=1&PNid=13&PFid=5&Level=5&Conn=4&DownTypeID=3&GetDown=false#2

Look for "LINUX driver for kernel 3.x and 2.6.x and 2.4.x" there.

It should be an archive named r8168-<some_version>.tar.bz2.

2. Unpack the archive on the machine where the problem showed up.

3. (This and the following steps should be done as root user)

cd to r8168-<some_version> directory and run 'make' there

4. Check if the module r8168.ko is now present in /lib/modules/3.6.10-nrj-desktop-1rosa/kernel/drivers/net/ethernet/realtek/

5.
# depmod

6. Unload driver r8169, load r8168 that you have just built:
# modprobe -r r8169
# modprobe r8168

7. See if the network connection is working, try to configure the network settings for this connection, disable and reenable it if needed.

8. Use lspcidrake to see which driver is now used for the network card by Realtek.
Comment 2 FirstLevel 2013-03-04 10:50:05 MSK
There is output for requested commands. Finally - network is not working
[vib@localhost Документы]$ su
Пароль: 
[root@localhost Документы]# tar vjxf r8168-8.035.00.tar.bz2
r8168-8.035.00/
r8168-8.035.00/autorun.sh
r8168-8.035.00/src/
r8168-8.035.00/src/rtl_eeprom.h
r8168-8.035.00/src/rtltool.h
r8168-8.035.00/src/Makefile
r8168-8.035.00/src/Makefile_linux24x
r8168-8.035.00/src/rtl_eeprom.c
r8168-8.035.00/src/r8168.h
r8168-8.035.00/src/r8168_n.c
r8168-8.035.00/src/r8168_asf.c
r8168-8.035.00/src/r8168_asf.h
r8168-8.035.00/src/rtltool.c
r8168-8.035.00/Makefile
r8168-8.035.00/README
[root@localhost Документы]# cd r8168-8.035.00/
[root@localhost r8168-8.035.00]#  make
make -C src/ clean
make[1]: Вход в каталог `/home/vib/Документы/r8168-8.035.00/src'
make -C /lib/modules/3.6.10-nrj-desktop-1rosa/build SUBDIRS=/home/vib/Документы/r8168-8.035.00/src clean
make[2]: Вход в каталог `/usr/src/linux-3.6.10-nrj-desktop-1rosa'
  CLEAN   /home/vib/Документы/r8168-8.035.00/src/.tmp_versions
  CLEAN   /home/vib/Документы/r8168-8.035.00/src/Module.symvers
make[2]: Выход из каталога `/usr/src/linux-3.6.10-nrj-desktop-1rosa'
make[1]: Выход из каталога `/home/vib/Документы/r8168-8.035.00/src'
make -C src/ modules
make[1]: Вход в каталог `/home/vib/Документы/r8168-8.035.00/src'
make -C /lib/modules/3.6.10-nrj-desktop-1rosa/build SUBDIRS=/home/vib/Документы/r8168-8.035.00/src modules
make[2]: Вход в каталог `/usr/src/linux-3.6.10-nrj-desktop-1rosa'
  CC [M]  /home/vib/Документы/r8168-8.035.00/src/r8168_n.o
  CC [M]  /home/vib/Документы/r8168-8.035.00/src/r8168_asf.o
  CC [M]  /home/vib/Документы/r8168-8.035.00/src/rtl_eeprom.o
  CC [M]  /home/vib/Документы/r8168-8.035.00/src/rtltool.o
  LD [M]  /home/vib/Документы/r8168-8.035.00/src/r8168.o
  Building modules, stage 2.
  MODPOST 1 modules
  CC      /home/vib/Документы/r8168-8.035.00/src/r8168.mod.o
  LD [M]  /home/vib/Документы/r8168-8.035.00/src/r8168.ko
make[2]: Выход из каталога `/usr/src/linux-3.6.10-nrj-desktop-1rosa'
make[1]: Выход из каталога `/home/vib/Документы/r8168-8.035.00/src'
make -C src/ install
make[1]: Вход в каталог `/home/vib/Документы/r8168-8.035.00/src'
make -C /lib/modules/3.6.10-nrj-desktop-1rosa/build SUBDIRS=/home/vib/Документы/r8168-8.035.00/src INSTALL_MOD_DIR=kernel/drivers/net/ethernet/realtek modules_install
make[2]: Вход в каталог `/usr/src/linux-3.6.10-nrj-desktop-1rosa'
  INSTALL  /home/vib/Документы/r8168-8.035.00/src/r8168.ko
  DEPMOD  3.6.10-nrj-desktop-1rosa
make[2]: Выход из каталога `/usr/src/linux-3.6.10-nrj-desktop-1rosa'
make[1]: Выход из каталога `/home/vib/Документы/r8168-8.035.00/src'
[root@localhost r8168-8.035.00]# ls -al /lib/modules/3.6.10-nrj-desktop-1rosa/kernel/drivers/net/ethernet/realtek/
итого 604
drwxr-xr-x  2 root root   4096 февр. 27 21:31 ./
drwxr-xr-x 45 root root   4096 дек.  18 16:03 ../
-rw-r--r--  1 root root  12968 дек.  12 18:06 8139cp.ko.xz       * "8139cp.ko.xz" напечатано красным 
-rw-r--r--  1 root root  15480 дек.  12 18:06 8139too.ko.xz      * "8139too.ko.xz"напечатано красным 
-rw-r--r--  1 root root   6940 дек.  12 18:06 atp.ko.xz             * "atp.ko.xz"      напечатано красным
-rw-r--r--  1 root root 532940 марта  2 20:01 r8168.ko            * "r8168.ko"       напечатано черным
-rw-r--r--  1 root root  26736 дек.  12 18:06 r8169.ko.xz          * "r8169.ko.xz"  напечатано красным
[root@localhost r8168-8.035.00]# depmod
[root@localhost r8168-8.035.00]# modprobe -r r8169
[root@localhost r8168-8.035.00]# modprobe r8168
[root@localhost r8168-8.035.00]# lsmod
Module                  Size  Used by
r8168                 248552  0 
nls_iso8859_1          12714  1 
vfat                   17462  1 
fat                    57227  1 vfat
fuse                   78947  3 
tun                    22988  0 
bnep                   19585  2 
bluetooth             323551  7 bnep
crc16                  12676  1 bluetooth
rfkill                 21959  2 bluetooth
8139too                33497  0 
radeon                895818  3 
i2c_algo_bit           13414  1 radeon
drm_kms_helper         42296  1 radeon
ttm                    83783  1 radeon
drm                   275517  5 ttm,drm_kms_helper,radeon
snd_hda_codec_via      46618  1 
powernow_k8            29054  0 
snd_hda_intel          37619  3 
snd_hda_codec         134364  2 snd_hda_codec_via,snd_hda_intel
snd_hwdep              17699  1 snd_hda_codec
mperf                  12668  1 powernow_k8
snd_pcm               101404  2 snd_hda_codec,snd_hda_intel
snd_page_alloc         18485  2 snd_pcm,snd_hda_intel
kvm_amd                55564  0 
snd_timer              29371  1 snd_pcm
joydev                 17458  0 
kvm                   429865  1 kvm_amd
snd                    83298  12 snd_hwdep,snd_timer,snd_hda_codec_via,snd_pcm,snd_hda_codec,snd_hda_intel
i2c_piix4              18011  0 
shpchp                 37109  0 
i2c_core               40398  5 drm,i2c_piix4,drm_kms_helper,i2c_algo_bit,radeon
pci_hotplug            35160  1 shpchp
edac_core              62034  0 
sp5100_tco             13698  0 
ppdev                  17636  0 
serio_raw              13376  0 
k10temp                13127  0 
soundcore              15048  1 snd
asus_atk0110           18658  0 
parport_pc             41362  0 
parport                46311  2 ppdev,parport_pc
processor              35872  1 powernow_k8
wmi                    19071  0 
evdev                  17798  7 
binfmt_misc            17464  0 
autofs4                38704  3 
ext3                  224161  2 
jbd                    83572  1 ext3
hid_generic            12541  0 
usbhid                 53216  0 
hid                   100204  2 hid_generic,usbhid
usb_storage            61838  1 
sd_mod                 44964  7 
uas                    17934  0 
sr_mod                 22296  0 
crc_t10dif             12564  1 sd_mod
pata_acpi              13039  0 
pata_atiixp            13272  0 
ehci_hcd               62305  0 
ahci                   25732  4 
libahci                31192  1 ahci
ata_generic            12911  0 
libata                209984  5 ahci,pata_acpi,libahci,ata_generic,pata_atiixp
ohci_hcd               37746  0 
usbcore               212872  5 uas,usb_storage,ohci_hcd,ehci_hcd,usbhid
scsi_mod              218886  5 uas,usb_storage,libata,sd_mod,sr_mod
usb_common             12582  1 usbcore
mii                    13935  1 8139too
button                 13865  0 
sunrpc                234058  1 
ipv6                  345255  30 
dm_mirror              21983  0 
dm_region_hash         20850  1 dm_mirror
dm_log                 18530  2 dm_region_hash,dm_mirror
dm_mod                 88249  2 dm_log,dm_mirror
[root@localhost r8168-8.035.00]# lspcidrake
r8169           : Realtek Semiconductor Co., Ltd.|RTL8111/8168B PCI Express Gigabit Ethernet controller [NETWORK_ETHERNET] (rev: 02)
Card:ATI Radeon HD 2000 to HD 4870 (radeon/fglrx-legacy): Advanced Micro Devices [AMD] nee ATI|RS780 [Radeon HD 3200] [DISPLAY_VGA]
unknown         : Advanced Micro Devices [AMD]|Family 10h Processor Link Control [BRIDGE_HOST]
k10temp         : Advanced Micro Devices [AMD]|Family 10h Processor Miscellaneous Control [BRIDGE_HOST]
amd64_edac_mod  : Advanced Micro Devices [AMD]|Family 10h Processor DRAM Controller [BRIDGE_HOST]
unknown         : Advanced Micro Devices [AMD]|Family 10h Processor Address Map [BRIDGE_HOST]
unknown         : Advanced Micro Devices [AMD]|Family 10h Processor HyperTransport Configuration [BRIDGE_HOST]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB OHCI2 Controller [SERIAL_USB]
unknown         : Advanced Micro Devices [AMD] nee ATI|SBx00 PCI to PCI Bridge [BRIDGE_PCI]
unknown         : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 LPC host controller [BRIDGE_ISA]
snd_hda_intel   : Advanced Micro Devices [AMD] nee ATI|SBx00 Azalia (Intel HDA) [MULTIMEDIA_AUDIO_DEV]
pata_atiixp     : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 IDE Controller [STORAGE_IDE]
i2c_piix4       : Advanced Micro Devices [AMD] nee ATI|SBx00 SMBus Controller [SERIAL_SMBUS] (rev: 3a)
ehci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB EHCI Controller [SERIAL_USB]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0 USB OHCI1 Controller [SERIAL_USB]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB OHCI0 Controller [SERIAL_USB]
ehci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB EHCI Controller [SERIAL_USB]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0 USB OHCI1 Controller [SERIAL_USB]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB OHCI0 Controller [SERIAL_USB]
ahci            : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode] [STORAGE_SATA]
shpchp          : Advanced Micro Devices [AMD]|RS780 PCI to PCI bridge (PCIE port 2) [BRIDGE_PCI]
shpchp          : ASUSTeK Computer Inc.|RS880 PCI to PCI bridge (int gfx) [BRIDGE_PCI]
unknown         : Advanced Micro Devices [AMD]|RS780 Host Bridge [BRIDGE_HOST]
hub             : Linux 3.6.10-nrj-desktop-1rosa ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usb_storage     : Kingston|DataTraveler 109 [Mass Storage|SCSI|Bulk-Only]
hub             : Linux 3.6.10-nrj-desktop-1rosa ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usbhid          : Logitech|USB-PS/2 Optical Mouse [Human Interface Device|Boot Interface Subclass|Mouse]
usbhid          : Monterey International Corp.|Keyboard [Human Interface Device|Boot Interface Subclass|Keyboard]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hid_generic     : HID 0566:3107
hid_generic     : HID 0566:3107
hid_generic     : Logitech USB-PS/2 Optical Mouse
[root@localhost r8168-8.035.00]# ifconfig -a
eth0: flags=4099<UP,BROADCAST,MULTICAST>  mtu 1500
        ether 00:23:54:c4:83:e0  txqueuelen 1000  (Ethernet)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0
        device interrupt 41  base 0xa000  

lo: flags=73<UP,LOOPBACK,RUNNING>  mtu 16436
        inet 127.0.0.1  netmask 255.0.0.0
        inet6 ::1  prefixlen 128  scopeid 0x10<host>
        loop  txqueuelen 0  (Local Loopback)
        RX packets 0  bytes 0 (0.0 B)
        RX errors 0  dropped 0  overruns 0  frame 0
        TX packets 0  bytes 0 (0.0 B)
        TX errors 0  dropped 0 overruns 0  carrier 0  collisions 0

[root@localhost r8168-8.035.00]#
Comment 3 Eugene Shatokhin 2013-03-04 13:04:48 MSK
What does 'dmesg | grep eth0' output?
Comment 4 Eugene Shatokhin 2013-03-04 13:15:38 MSK
Also, please post the output of '/usr/sbin/ethtool -i eth0' here (execute that as root), just in case.
Comment 5 FirstLevel 2013-03-05 10:27:57 MSK
(In reply to comment #4)
> Also, please post the output of '/usr/sbin/ethtool -i eth0' here (execute
> that as root), just in case.


[root@localhost r8168-8.035.00]# dmseg |grep eth0
bash: dmseg: команда не найдена
[root@localhost r8168-8.035.00]# dmesg | grep eth0
[    3.563635] r8169 0000:02:00.0: eth0: RTL8168c/8111c at 0xffffc9000060a000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41
[    3.563639] r8169 0000:02:00.0: eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko]
[   19.802381] r8169 0000:02:00.0: eth0: link down
[   19.802394] r8169 0000:02:00.0: eth0: link down
[   19.802435] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  432.745691] eth0: Identified chip type is 'RTL8168C/8111C'.
[  432.859147] r8168: eth0: link down
[  432.859209] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready

[root@localhost r8168-8.035.00]# /usr/sbin/ethtool -i eth0
driver: r8168
version: 8.035.00-NAPI
firmware-version: 
bus-info: 0000:02:00.0
supports-statistics: yes
supports-test: no
supports-eeprom-access: yes
supports-register-dump: yes
supports-priv-flags: no
[root@localhost r8168-8.035.00]#
Comment 6 Postnikov Dmitry 2013-03-05 11:08:30 MSK
As i understand it, you need to disable the loading of the module r8169 and download only the r8168. remove module r8169 or in the black list put it. As for the logs can be seen that first r8169 is trying to test the card, then r8168. But we need some one module. In general try. And then reboot.
http://nosemaj.org/hardy-r8168
Comment 7 Eugene Shatokhin 2013-03-05 11:38:50 MSK
(In reply to comment #6)
Yes, blacklisting r8169 is a good idea. This may help:

# echo "blacklist r8169" > /etc/modprobe.d/blacklist-r8169.conf

To make sure r8168 is loaded at boot time, you can do the following:

# echo "r8168" > /etc/modules-load.d/r8168.conf

Regenerate initrd after that (you may want to save the old initrd, just in case), reboot and see if the network works.
Comment 8 FirstLevel 2013-03-05 13:35:08 MSK
(In reply to comment #7)
> (In reply to comment #6)
> Yes, blacklisting r8169 is a good idea. This may help:
> 
> # echo "blacklist r8169" > /etc/modprobe.d/blacklist-r8169.conf
> 
> To make sure r8168 is loaded at boot time, you can do the following:
> 
> # echo "r8168" > /etc/modules-load.d/r8168.conf
> 
> Regenerate initrd after that (you may want to save the old initrd, just in
> case), reboot and see if the network works.

Could You please describe this "Regenerate initrd after that (you may want to save the old initrd, just in case), reboot and see if the network works." more clearly?
Comment 9 Alexander Burmashev 2013-03-05 13:38:12 MSK
regenerate initrd - "dracut -f" .
Comment 10 Eugene Shatokhin 2013-03-05 15:15:43 MSK
If I am not mistaken, 'dracut' may generate file with 'initramfs' rather than 'initrd' in the name by default which can be inconvenient. You can specify the necessary name manually.

1. Save the old initrd, in case something goes wrong:

# cp /boot/initrd-$(uname -r).img /boot/initrd-$(uname -r).img.bak

2. Generate a new initrd image:

# dracut -f /boot/initrd-$(uname -r).img
Comment 11 FirstLevel 2013-03-14 10:05:49 MSK
(In reply to comment #10)
> If I am not mistaken, 'dracut' may generate file with 'initramfs' rather
> than 'initrd' in the name by default which can be inconvenient. You can
> specify the necessary name manually.
> 
> 1. Save the old initrd, in case something goes wrong:
> 
> # cp /boot/initrd-$(uname -r).img /boot/initrd-$(uname -r).img.bak
> 
> 2. Generate a new initrd image:
> 
> # dracut -f /boot/initrd-$(uname -r).img

After execution Your recomendations I have such situation - see attach 8168.txt

BTW If flag "Управление сетью" that I see message "Кабель не подключен" and LED on my network card is off. If I uncheck flag "Управление сетью" that I see message "сеть не управляется" but LED is blinking
Comment 12 FirstLevel 2013-03-14 10:06:12 MSK
Created attachment 1262 [details]
8168
Comment 13 FirstLevel 2013-03-14 10:06:26 MSK
Network is not working too
Comment 14 Eugene Shatokhin 2013-03-14 10:59:11 MSK
It looks like r8169 still got loaded first despite it was blacklisted. It may have messed the things up.

Let's try to prevent it from loading "the hard way". Please edit /etc/modprobe.d/blacklist-r8169.conf to make it look as follows:

blacklist r8169
install r8169 /bin/true
alias r8169 off

Then, reboot the machine and see what happens.
Comment 15 FirstLevel 2013-03-19 10:10:49 MSK
(In reply to comment #14)
> It looks like r8169 still got loaded first despite it was blacklisted. It
> may have messed the things up.
> 
> Let's try to prevent it from loading "the hard way". Please edit
> /etc/modprobe.d/blacklist-r8169.conf to make it look as follows:
> 
> blacklist r8169
> install r8169 /bin/true
> alias r8169 off
> 
> Then, reboot the machine and see what happens.

It does not work as well :(

[root@localhost Документы]# cat /etc/modprobe.d/blacklist-r8169.conf
blacklist r8169 
install r8169 /bin/true
alias r8169 off

[root@localhost Документы]# lsmod
Module                  Size  Used by
fuse                   78947  3 
tun                    22988  0 
bnep                   19585  2 
bluetooth             323551  7 bnep
crc16                  12676  1 bluetooth
rfkill                 21959  2 bluetooth
e100                   40814  0 
radeon                895818  3 
i2c_algo_bit           13414  1 radeon
drm_kms_helper         42296  1 radeon
ttm                    83783  1 radeon
drm                   275517  5 ttm,drm_kms_helper,radeon
joydev                 17458  0 
snd_hda_codec_via      46618  1 
ppdev                  17636  0 
parport_pc             41362  0 
powernow_k8            29054  0 
snd_hda_intel          37619  3 
snd_hda_codec         134364  2 snd_hda_codec_via,snd_hda_intel
snd_hwdep              17699  1 snd_hda_codec
snd_pcm               101404  2 snd_hda_codec,snd_hda_intel
snd_page_alloc         18485  2 snd_pcm,snd_hda_intel
mperf                  12668  1 powernow_k8
snd_timer              29371  1 snd_pcm
snd                    83298  12 snd_hwdep,snd_timer,snd_hda_codec_via,snd_pcm,snd_hda_codec,snd_hda_intel
kvm_amd                55564  0 
shpchp                 37109  0 
kvm                   429865  1 kvm_amd
i2c_piix4              18011  0 
i2c_core               40398  5 drm,i2c_piix4,drm_kms_helper,i2c_algo_bit,radeon
parport                46311  2 ppdev,parport_pc
soundcore              15048  1 snd
pci_hotplug            35160  1 shpchp
sp5100_tco             13698  0 
serio_raw              13376  0 
edac_core              62034  0 
processor              35872  1 powernow_k8
asus_atk0110           18658  0 
k10temp                13127  0 
wmi                    19071  0 
evdev                  17798  7 
r8168                 248552  0 
binfmt_misc            17464  0 
autofs4                38704  3 
ext3                  224161  2 
jbd                    83572  1 ext3
hid_generic            12541  0 
sd_mod                 44964  5 
sr_mod                 22296  0 
crc_t10dif             12564  1 sd_mod
usbhid                 53216  0 
pata_acpi              13039  0 
hid                   100204  2 hid_generic,usbhid
pata_atiixp            13272  0 
ehci_hcd               62305  0 
ahci                   25732  4 
libahci                31192  1 ahci
ata_generic            12911  0 
libata                209984  5 ahci,pata_acpi,libahci,ata_generic,pata_atiixp
ohci_hcd               37746  0 
usbcore               212872  3 ohci_hcd,ehci_hcd,usbhid
scsi_mod              218886  3 libata,sd_mod,sr_mod
usb_common             12582  1 usbcore
r8169                  67601  0 
mii                    13935  2 e100,r8169
button                 13865  0 
sunrpc                234058  1 
ipv6                  345255  30 
dm_mirror              21983  0 
dm_region_hash         20850  1 dm_mirror
dm_log                 18530  2 dm_region_hash,dm_mirror
dm_mod                 88249  2 dm_log,dm_mirror

[root@localhost Документы]# lspcidrake
r8169           : Realtek Semiconductor Co., Ltd.|RTL8111/8168B PCI Express Gigabit Ethernet controller [NETWORK_ETHERNET] (rev: 02)
Card:ATI Radeon HD 2000 to HD 4870 (radeon/fglrx-legacy): Advanced Micro Devices [AMD] nee ATI|RS780 [Radeon HD 3200] [DISPLAY_VGA]
unknown         : Advanced Micro Devices [AMD]|Family 10h Processor Link Control [BRIDGE_HOST]
k10temp         : Advanced Micro Devices [AMD]|Family 10h Processor Miscellaneous Control [BRIDGE_HOST]
amd64_edac_mod  : Advanced Micro Devices [AMD]|Family 10h Processor DRAM Controller [BRIDGE_HOST]
unknown         : Advanced Micro Devices [AMD]|Family 10h Processor Address Map [BRIDGE_HOST]
unknown         : Advanced Micro Devices [AMD]|Family 10h Processor HyperTransport Configuration [BRIDGE_HOST]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB OHCI2 Controller [SERIAL_USB]
unknown         : Advanced Micro Devices [AMD] nee ATI|SBx00 PCI to PCI Bridge [BRIDGE_PCI]
unknown         : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 LPC host controller [BRIDGE_ISA]
snd_hda_intel   : Advanced Micro Devices [AMD] nee ATI|SBx00 Azalia (Intel HDA) [MULTIMEDIA_AUDIO_DEV]
pata_atiixp     : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 IDE Controller [STORAGE_IDE]
i2c_piix4       : Advanced Micro Devices [AMD] nee ATI|SBx00 SMBus Controller [SERIAL_SMBUS] (rev: 3a)
ehci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB EHCI Controller [SERIAL_USB]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0 USB OHCI1 Controller [SERIAL_USB]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB OHCI0 Controller [SERIAL_USB]
ehci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB EHCI Controller [SERIAL_USB]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0 USB OHCI1 Controller [SERIAL_USB]
ohci_hcd        : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 USB OHCI0 Controller [SERIAL_USB]
ahci            : Advanced Micro Devices [AMD] nee ATI|SB7x0/SB8x0/SB9x0 SATA Controller [IDE mode] [STORAGE_SATA]
shpchp          : Advanced Micro Devices [AMD]|RS780 PCI to PCI bridge (PCIE port 2) [BRIDGE_PCI]
shpchp          : ASUSTeK Computer Inc.|RS880 PCI to PCI bridge (int gfx) [BRIDGE_PCI]
unknown         : Advanced Micro Devices [AMD]|RS780 Host Bridge [BRIDGE_HOST]
hub             : Linux 3.6.10-nrj-desktop-1rosa ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.6.10-nrj-desktop-1rosa ehci_hcd|EHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
usbhid          : Logitech|USB-PS/2 Optical Mouse [Human Interface Device|Boot Interface Subclass|Mouse]
usbhid          : Monterey International Corp.|Keyboard [Human Interface Device|Boot Interface Subclass|Keyboard]
hub             : Linux 3.6.10-nrj-desktop-1rosa ohci_hcd|OHCI Host Controller [Hub|Unused|Full speed (or root) hub]
hid_generic     : HID 0566:3107
hid_generic     : HID 0566:3107
hid_generic     : Logitech USB-PS/2 Optical Mouse

[root@localhost Документы]# dmesg | grep eth0
[    3.582395] r8169 0000:02:00.0: eth0: RTL8168c/8111c at 0xffffc9000060a000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41
[    3.582398] r8169 0000:02:00.0: eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko]
[   18.961206] r8169 0000:02:00.0: eth0: link down
[   18.961215] r8169 0000:02:00.0: eth0: link down
[   18.961250] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[root@localhost Документы]#
Comment 16 Eugene Shatokhin 2013-03-20 11:49:55 MSK
It's strange that r8169 still got loaded. And, according to the records from dmesg, it interfered again.

An even more strange thing is the presence of e100 module, the old driver for Intel's network cards. The machine has no such network cards as far as I can see in the data you posted.

Let's try the following first.

1. Unload r8169, r8168 and e100 :

# modprobe -r r8169 r8168 e100

2. Load r8168 alone.

# modprobe r8168

Check that neither r8169 nor e100 are loaded (see the output of lsmod).

3. Do not reboot now but restart network management:

# systemctl restart NetworkManagement.service

See if the network works. If it does not, please post the output of 'dmesg | grep eth0' like you did before.
Comment 17 FirstLevel 2013-03-21 14:29:42 MSK
(In reply to comment #16)
> It's strange that r8169 still got loaded. And, according to the records from
> dmesg, it interfered again.
> 
> An even more strange thing is the presence of e100 module, the old driver
> for Intel's network cards. The machine has no such network cards as far as I
> can see in the data you posted.
> 
> Let's try the following first.
> 
> 1. Unload r8169, r8168 and e100 :
> 
> # modprobe -r r8169 r8168 e100
> 
> 2. Load r8168 alone.
> 
> # modprobe r8168
> 
> Check that neither r8169 nor e100 are loaded (see the output of lsmod).
> 
> 3. Do not reboot now but restart network management:
> 
> # systemctl restart NetworkManagement.service
> 
> See if the network works. If it does not, please post the output of 'dmesg |
> grep eth0' like you did before.

This is users answer:

[vib@localhost Документы]$ su
Пароль: 
[root@localhost Документы]# modprobe -r r8168 r8169 e100
[root@localhost Документы]# modprobe r8168
[root@localhost Документы]# lsmod | grep r8169
r8169                  67601  0 
mii                    13935  1 r8169
[root@localhost Документы]# lsmod | grep e100
[root@localhost Документы]# systemctl restart NetworkManagment.service
Failed to issue method call: Unit NetworkManagment.service failed to load: No such file or directory. See system logs and 'systemctl status NetworkManagement.service' for details.
[root@localhost /]# dmesg | grep eth0
[    3.592836] r8169 0000:02:00.0: eth0: RTL8168c/8111c at 0xffffc9000060a000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41
[    3.592839] r8169 0000:02:00.0: eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko]
[   19.893234] r8169 0000:02:00.0: eth0: link down
[   19.893241] r8169 0000:02:00.0: eth0: link down
[   19.893301] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[root@localhost /]#
Comment 18 Eugene Shatokhin 2013-03-21 15:35:12 MSK
Well, my bad, forgot that modprobe now should not see r8169 - please try 

rmmod r8168 
rmmod r8169 
rmmod e100 

instead of "modprobe -r r8168 r8169 e100". If rmmod complains that the module is not loaded, that can be ignored.

Then load "r8168" (modprobe r8168) as before and check if r8169 is loaded, just in case.

Check if network is working. 

If it does not, restart NetworkManager:

# systemctl restart NetworkManagement.service

Please note the spelling: "NetworkManagement.service" rather than "NetworkManagment.service" (missing 'e') that the user had typed.

If the network still does not work after that, post the output of "dmesg | grep eth0" here again, as before.
Comment 19 Eugene Shatokhin 2013-03-21 15:40:35 MSK
Sorry, it should read "NetworkManager.service" rather than "NetworkManagement.service". My bad again ;-)
Comment 20 FirstLevel 2013-03-25 10:09:35 MSK
(In reply to comment #19)
> Sorry, it should read "NetworkManager.service" rather than
> "NetworkManagement.service". My bad again ;-)

User's answer...

[vib@localhost Документы]$ su
Пароль: 
[root@localhost Документы]# modprobe -r r8168 r8169 e100
[root@localhost Документы]# modprobe r8168
[root@localhost Документы]# lsmod | grep r8168                                         *
r8168                 248552  0 
[root@localhost Документы]# lsmod | grep r8169
r8169                  67601  0 
mii                    13935  1 r8169
[root@localhost Документы]# lsmod | grep e100
[root@localhost Документы]# systemctl restart NetworkManager.service
[root@localhost Документы]# dmesg | grep eth0
[    3.582961] r8169 0000:02:00.0: eth0: RTL8168c/8111c at 0xffffc9000060a000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41
[    3.582964] r8169 0000:02:00.0: eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko]
[   18.501593] r8169 0000:02:00.0: eth0: link down
[   18.501605] r8169 0000:02:00.0: eth0: link down
[   18.501648] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[ 1171.653843] r8169 0000:02:00.0: eth0: link down
[ 1171.653872] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[root@localhost Документы]# cat /etc/modules-load.d/r8168.conf                 *
r8168
[root@localhost Документы]#
Comment 21 Eugene Shatokhin 2013-03-25 10:49:43 MSK
The user seems to have executed wrong commands this time. I suggested to use 'rmmod' rather than 'modprobe -r' to remove the loaded modules. After r8169 has been blacklisted the way we did it, 'modprobe' should no longer see it but 'rmmod' should.

1. 
# rmmod r8168
# rmmod r8169
# rmmod e100

If rmmod complains that there are no such modules, you can ignore that.

Check if r8169 is loaded at this point. It should not be.

2. Load r8168
# modprobe r8168

Check if r8169 is loaded at this point. It should not be.

Check if r8168 is loaded. It should be.

Do not reboot yet.

3. Check if the network works now. If it does not, restart NetworkManager as suggested:

# systemctl restart NetworkManager.service
Comment 22 FirstLevel 2013-03-26 09:47:12 MSK
(In reply to comment #21)
> The user seems to have executed wrong commands this time. I suggested to use
> 'rmmod' rather than 'modprobe -r' to remove the loaded modules. After r8169
> has been blacklisted the way we did it, 'modprobe' should no longer see it
> but 'rmmod' should.
> 
> 1. 
> # rmmod r8168
> # rmmod r8169
> # rmmod e100
> 
> If rmmod complains that there are no such modules, you can ignore that.
> 
> Check if r8169 is loaded at this point. It should not be.
> 
> 2. Load r8168
> # modprobe r8168
> 
> Check if r8169 is loaded at this point. It should not be.
> 
> Check if r8168 is loaded. It should be.
> 
> Do not reboot yet.
> 
> 3. Check if the network works now. If it does not, restart NetworkManager as
> suggested:
> 



[vib@localhost ~]$  cd /home/vib/Документы
[vib@localhost Документы]$  clear                                                                                           
                                                                                            
[vib@localhost Документы]$ su
Пароль: 
[root@localhost Документы]# rmmod r8168
[root@localhost Документы]# rmmod r8169
[root@localhost Документы]# rmmod e100
[root@localhost Документы]# lsmod | grep r816
[root@localhost Документы]# modprobe r8168
[root@localhost Документы]# lsmod | grep r816
r8168                 248552  0 
[root@localhost Документы]# systemctl restart NetworkManager.service
[root@localhost Документы]# 

> # systemctl restart NetworkManager.service

After execution  "rmmod" I see second "minus" on the NM tray icon. After "modprobe r8168" second "minus" is disappeared, but first is presenetd. In NM I see  "r8168" and "cable is unplugged".  Execution " systemctl restart NetworkManager.service" does not affect on situation.
Comment 23 Eugene Shatokhin 2013-03-26 11:11:19 MSK
I assume the network cable is actually plugged.

What does 'dmesg | grep eth0' output then?

Besides that, please re-generate initrd again:

# cp /boot/initrd-$(uname -r).img /boot/initrd-$(uname -r).img.bak
# dracut -f /boot/initrd-$(uname -r).img

Reboot, see which r816* drivers are loaded, see if the network is working.

If only r8168 is loaded but the network is not working, please post the output of 'dmesg | grep eth0' and 'dmesg | grep 8168' here again.
Comment 24 FirstLevel 2013-03-28 09:49:46 MSK
(In reply to comment #23)
> I assume the network cable is actually plugged.
> 
> What does 'dmesg | grep eth0' output then?
> 
> Besides that, please re-generate initrd again:
> 
> # cp /boot/initrd-$(uname -r).img /boot/initrd-$(uname -r).img.bak
> # dracut -f /boot/initrd-$(uname -r).img
> 
> Reboot, see which r816* drivers are loaded, see if the network is working.
> 
> If only r8168 is loaded but the network is not working, please post the
> output of 'dmesg | grep eth0' and 'dmesg | grep 8168' here again.

After execution  "dracut..." and rebooting I have such situation:
System in not booting with messages
Fatal: Module dm-mod not found.
rpcbind: cannot create socket for upd6
rpcbind: cannot create socket for tcp6
mount: unknown filesystem type "rpc-pipefs"
rpc.idmapd: Could not find group "nogroup" 
dracut Worning: Cancelling resume operation. Device not found.
dracut Worning: could not boot.
dracut Worning: "/dev/disk/by-uuid/d719f414-fd19-43ba-aadc-52379197b03b" does not exist

Dropping to debug shell.

dracut: /#

After that I only restart by power button.
Resume - system is not booting
Comment 25 Eugene Shatokhin 2013-03-28 10:43:41 MSK
Well, perhaps something got wrong with initrd. Restore the original one the user should have saved:

# cp /boot/initrd-$(uname -r).img.bak /boot/initrd-$(uname -r).img

Then reboot. 

Still have to find out why that failed...
Comment 26 FirstLevel 2013-04-02 14:20:23 MSD
(In reply to comment #25)
> Well, perhaps something got wrong with initrd. Restore the original one the
> user should have saved:
> 
> # cp /boot/initrd-$(uname -r).img.bak /boot/initrd-$(uname -r).img
> 
> Then reboot. 
> 
> Still have to find out why that failed...

This method of restoration system doed not work for user. He has reinstalled the system and has such status:

[vib@localhost Документы]$ su
Пароль: 
[root@localhost Документы]# cat /etc/modprobe.d/blacklist-r8169.conf
blacklist r8169
[root@localhost Документы]#  cat /etc/modules-load.d/r8168.conf
r8168
[root@localhost Документы]# modprobe r8168
[root@localhost Документы]# lsmod | grep r8168
r8168                 248552  0 
[root@localhost Документы]# lsmod | grep r8169
r8169                  67601  0 
mii                    13935  1 r8169
[root@localhost Документы]# rmmod r8169
[root@localhost Документы]# lsmod | grep r816
r8168                 248552  0 
[root@localhost Документы]# systemctl restart NetworkManager.service
[root@localhost Документы]# lsmod
Module                  Size  Used by
fuse                   78947  3 
tun                    22988  0 
bnep                   19585  2 
bluetooth             323551  7 bnep
crc16                  12676  1 bluetooth
rfkill                 21959  2 bluetooth
radeon                895818  3 
i2c_algo_bit           13414  1 radeon
drm_kms_helper         42296  1 radeon
ttm                    83783  1 radeon
drm                   275517  5 ttm,drm_kms_helper,radeon
joydev                 17458  0 
snd_hda_codec_via      46618  1 
snd_hda_intel          37619  3 
snd_hda_codec         134364  2 snd_hda_codec_via,snd_hda_intel
snd_hwdep              17699  1 snd_hda_codec
powernow_k8            29054  0 
mperf                  12668  1 powernow_k8
kvm_amd                55564  0 
snd_pcm               101404  2 snd_hda_codec,snd_hda_intel
i2c_piix4              18011  0 
i2c_core               40398  5 drm,i2c_piix4,drm_kms_helper,i2c_algo_bit,radeon
shpchp                 37109  0 
ppdev                  17636  0 
parport_pc             41362  0 
parport                46311  2 ppdev,parport_pc
kvm                   429865  1 kvm_amd
snd_page_alloc         18485  2 snd_pcm,snd_hda_intel
asus_atk0110           18658  0 
snd_timer              29371  1 snd_pcm
k10temp                13127  0 
snd                    83298  12 snd_hwdep,snd_timer,snd_hda_codec_via,snd_pcm,snd_hda_codec,snd_hda_intel
soundcore              15048  1 snd
pci_hotplug            35160  1 shpchp
edac_core              62034  0 
sp5100_tco             13698  0 
serio_raw              13376  0 
processor              35872  1 powernow_k8
evdev                  17798  7 
wmi                    19071  0 
r8168                 248552  0 
binfmt_misc            17464  0 
autofs4                38704  3 
ext3                  224161  2 
jbd                    83572  1 ext3
hid_generic            12541  0 
usbhid                 53216  0 
sd_mod                 44964  5 
sr_mod                 22296  0 
crc_t10dif             12564  1 sd_mod
pata_acpi              13039  0 
hid                   100204  2 hid_generic,usbhid
pata_atiixp            13272  0 
ahci                   25732  4 
libahci                31192  1 ahci
ata_generic            12911  0 
libata                209984  5 ahci,pata_acpi,libahci,ata_generic,pata_atiixp
ehci_hcd               62305  0 
scsi_mod              218886  3 libata,sd_mod,sr_mod
ohci_hcd               37746  0 
usbcore               212872  3 ohci_hcd,ehci_hcd,usbhid
usb_common             12582  1 usbcore
mii                    13935  0 
button                 13865  0 
sunrpc                234058  1 
ipv6                  345255  28 
dm_mirror              21983  0 
dm_region_hash         20850  1 dm_mirror
dm_log                 18530  2 dm_region_hash,dm_mirror
dm_mod                 88249  2 dm_log,dm_mirror
[root@localhost Документы]#
Comment 27 Eugene Shatokhin 2013-04-02 15:06:49 MSD
And I suppose, the network still does not work, does it? 

If so, what do 'dmesg | grep eth0' and 'dmesg | grep r816' output?
Comment 28 FirstLevel 2013-04-03 09:28:51 MSD
(In reply to comment #27)
> And I suppose, the network still does not work, does it? 
> 
> If so, what do 'dmesg | grep eth0' and 'dmesg | grep r816' output?

Network is absent.
User's answer.
After system starts:
[root@localhost Документы]# dmesg | grep eth0
[    3.591775] r8169 0000:02:00.0: eth0: RTL8168c/8111c at 0xffffc9000060a000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41
[    3.591778] r8169 0000:02:00.0: eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko]
[   19.891311] r8169 0000:02:00.0: eth0: link down
[   19.891324] r8169 0000:02:00.0: eth0: link down
[   19.891365] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready

[root@localhost Документы]# dmesg | grep r816
[    3.591413] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[    3.591614] r8169 0000:02:00.0: irq 41 for MSI/MSI-X
[    3.591775] r8169 0000:02:00.0: eth0: RTL8168c/8111c at 0xffffc9000060a000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41
[    3.591778] r8169 0000:02:00.0: eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko]
[   19.891311] r8169 0000:02:00.0: eth0: link down
[   19.891324] r8169 0000:02:00.0: eth0: link down

After loading r8168:
[root@localhost Документы]# modprobe -r r8168 r8169
[root@localhost Документы]# modprobe r8168                                                                
[root@localhost Документы]# lsmod | grep r8169                                                            
[root@localhost Документы]# lsmod | grep r8168                                                            
r8168                 248552  0 
[root@localhost Документы]# systemctl restart NetworkManager.service
                                      
[root@localhost Документы]#  dmesg | grep eth0                                                            
[    3.591775] r8169 0000:02:00.0: eth0: RTL8168c/8111c at 0xffffc9000060a000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41                                                                                               
[    3.591778] r8169 0000:02:00.0: eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko]
[   19.891311] r8169 0000:02:00.0: eth0: link down
[   19.891324] r8169 0000:02:00.0: eth0: link down
[   19.891365] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  308.340907] eth0: Identified chip type is 'RTL8168C/8111C'.
[  308.447338] r8168: eth0: link down
[  308.447400] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready
[  403.588364] r8168: eth0: link down
[  403.588414] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready

[root@localhost Документы]# dmesg | grep r816
[    3.591413] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded
[    3.591614] r8169 0000:02:00.0: irq 41 for MSI/MSI-X
[    3.591775] r8169 0000:02:00.0: eth0: RTL8168c/8111c at 0xffffc9000060a000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41
[    3.591778] r8169 0000:02:00.0: eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko]
[   19.891311] r8169 0000:02:00.0: eth0: link down
[   19.891324] r8169 0000:02:00.0: eth0: link down
[  308.314414] r8168 Gigabit Ethernet driver 8.035.00-NAPI loaded
[  308.314585] r8168 0000:02:00.0: irq 41 for MSI/MSI-X
[  308.340900] r8168: This product is covered by one or more of the following patents: US5,307,459, US5,434,872, US5,732,094, US6,570,884, US6,115,776, and US6,327,625.
[  308.340911] r8168  Copyright (C) 2012  Realtek NIC software team <nicfae@realtek.com> 
[  308.447338] r8168: eth0: link down
[  403.588364] r8168: eth0: link down
Comment 29 Eugene Shatokhin 2013-04-03 12:39:49 MSD
Thanks for the information and especially for the patience!

Unfortunately, it is hard to say what has gone wrong without the hardware at hand. I tried ROSA Fresh on a system with a similar network adapter, RTL8168E-VL/8111E-VL (the user actualy has RTL8168c/8111c, both mine and their adapters have the same PCI IDs and are reported the same way by lspci, except rev 02 VS rev 06).

In my case, the default driver (r8169) worked out of the box, r8168 I have built worked too even without restarting of NM.

Perhaps, the problem is not in the drivers themselves.

Could the user try booting some other Linux distro in Live mode (e.g. the current versions of Ubuntu, Mint, Fedora, whatever) and check if the network is working there? Yes, it works in XP but it would be valuable to see how it is going in the Linux distros besides ROSA.
Comment 30 FirstLevel 2013-04-07 13:46:29 MSD
(In reply to comment #29)
> Thanks for the information and especially for the patience!
> 
> Unfortunately, it is hard to say what has gone wrong without the hardware at
> hand. I tried ROSA Fresh on a system with a similar network adapter,
> RTL8168E-VL/8111E-VL (the user actualy has RTL8168c/8111c, both mine and
> their adapters have the same PCI IDs and are reported the same way by lspci,
> except rev 02 VS rev 06).
> 
> In my case, the default driver (r8169) worked out of the box, r8168 I have
> built worked too even without restarting of NM.
> 
> Perhaps, the problem is not in the drivers themselves.
> 
> Could the user try booting some other Linux distro in Live mode (e.g. the
> current versions of Ubuntu, Mint, Fedora, whatever) and check if the network
> is working there? Yes, it works in XP but it would be valuable to see how it
> is going in the Linux distros besides ROSA.

User has tried to use such live OS.
Mageia 3 - network is not working.
Mandriva 2008 - network is working. There is output of some diagnostic commands in Mandriva 2008:

[root@localhost ~]# uname -a
Linux localhost 2.6.22.9-desktop586-1mdv #1 SMP Thu Sep 27 03:58:17 CEST 2007 i686 AMD Phenom(tm) 8450 Triple-Core Processor GNU/Linux
[root@localhost ~]# ifconfig -a
eth0      Link encap:Ethernet  HWaddr 00:23:54:C4:83:E0
          inet addr:10.38.59.113  Bcast:10.38.63.255  Mask:255.255.248.0
          inet6 addr: fe80::223:54ff:fec4:83e0/64 Scope:Link
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:21928 errors:0 dropped:2177479290 overruns:0 frame:0
          TX packets:125 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:1649712 (1.5 MiB)  TX bytes:11944 (11.6 KiB)
          Interrupt:16 Base address:0xa000

lo        Link encap:Local Loopback
          inet addr:127.0.0.1  Mask:255.0.0.0
          inet6 addr: ::1/128 Scope:Host
          UP LOOPBACK RUNNING  MTU:16436  Metric:1
          RX packets:6 errors:0 dropped:0 overruns:0 frame:0
          TX packets:6 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:0
          RX bytes:588 (588.0 b)  TX bytes:588 (588.0 b)

[root@localhost ~]# dmesg | grep r816
r8169 Gigabit Ethernet driver 2.2LK loaded
unionfs: do delay copyup of "r8169.ko.gz"
r8169: eth0: link up

[root@localhost ~]# dmesg | grep eth0
eth0: RTL8168b/8111b at 0xf8e0a000, 00:23:54:c4:83:e0, IRQ 16
r8169: eth0: link up
Shorewall:net2all:DROP:IN=eth0 OUT= MAC=00:23:54:c4:83:e0:00:15:e9:92:44:02:08:00 SRC=83.102.172.85 DST=10.38.59.113 LEN=48 TOS=0x00 PREC=0x00 TTL=59 ID=65195 PROTO=ICMP TYPE=8 CODE=0 ID=6399 SEQ=0
eth0: no IPv6 routers present
[root@localhost ~]#
Comment 31 Eugene Shatokhin 2013-04-08 11:32:51 MSD
Thanks, that is a valuable info.

Could the user try a recent version of Ubuntu or Fedora in Live mode? Say, Ubuntu 12.10 or Fedora 18.

Since the kernel 2.6.22 (Mandriva 2008), r8169 driver has been overhauled, many things have changed and support for RTL8111/8168C could become broken in the process.

It will be very valuable to see if the network works on that hardware in the relatively recent distros. This could show whether the problem is driver-related or not.
Comment 32 FirstLevel 2013-04-09 10:44:44 MSD
(In reply to comment #31)
> Thanks, that is a valuable info.
> 
> Could the user try a recent version of Ubuntu or Fedora in Live mode? Say,
> Ubuntu 12.10 or Fedora 18.
> 
> Since the kernel 2.6.22 (Mandriva 2008), r8169 driver has been overhauled,
> many things have changed and support for RTL8111/8168C could become broken
> in the process.
> 
> It will be very valuable to see if the network works on that hardware in the
> relatively recent distros. This could show whether the problem is
> driver-related or not.

Network is not working in Ubuntu 12.10.
Comment 33 Eugene Shatokhin 2013-04-09 11:20:12 MSD
Interesting.

And what do 'dmesg | grep r816' and 'dmesg | grep eth0' output on Ubuntu 12.10?
Comment 34 FirstLevel 2013-04-12 10:20:40 MSD
(In reply to comment #33)
> Interesting.
> 
> And what do 'dmesg | grep r816' and 'dmesg | grep eth0' output on Ubuntu
> 12.10?

ubuntu@ubuntu:~$ sudo dmesg | grep eth0 
[    5.776455] r8169 0000:02:00.0: >eth0: RTL8168c/8111c at 0xffffc90000858000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41 
[    5.776458] r8169 0000:02:00.0: >eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko] 
[   96.083876] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready 
[  101.596678] r8169 0000:02:00.0: >eth0: link down 
[  101.596890] r8169 0000:02:00.0: >eth0: link down 
[  101.597672] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready 
[  101.598045] IPv6: ADDRCONF(NETDEV_UP): eth0: link is not ready 
ubuntu@ubuntu:~$ sudo dmesg | grep r816 
[    5.776136] r8169 Gigabit Ethernet driver 2.3LK-NAPI loaded 
[    5.776259] r8169 0000:02:00.0: >irq 41 for MSI/MSI-X 
[    5.776455] r8169 0000:02:00.0: >eth0: RTL8168c/8111c at 0xffffc90000858000, 00:23:54:c4:83:e0, XID 1c4000c0 IRQ 41 
[    5.776458] r8169 0000:02:00.0: >eth0: jumbo features [frames: 6128 bytes, tx checksumming: ko] 
[  101.596678] r8169 0000:02:00.0: >eth0: link down 
[  101.596890] r8169 0000:02:00.0: >eth0: link down 
ubuntu@ubuntu:~$
Comment 35 FirstLevel 2014-06-03 15:43:55 MSD
Запрос нового функционала закрыть с переводом юзеров в багзиллу
Comment 36 FirstLevel 2014-06-03 15:44:13 MSD
Sorry, checking the relevance